Mail archive
alpine-aports

[alpine-aports] [PATCH] testing/lemonbar: new port

From: <onodera_at_openmailbox.org>
Date: Fri, 15 Apr 2016 17:05:09 +0200

 From 82ae9125305f603c38963f7980cd5faa05b4039d Mon Sep 17 00:00:00 2001
 From: Camille Scholtz <onodera_at_openmailbox.org>
Date: Fri, 15 Apr 2016 15:48:07 +0200
Subject: [PATCH] testing/lemonbar: new port

http://github.com/LemonBoy/bar
A featherweight, lemon-scented, bar based on xcb
---
  testing/lemonbar/APKBUILD | 30 ++++++++++++++++++++++++++++++
  1 file changed, 30 insertions(+)
  create mode 100644 testing/lemonbar/APKBUILD
diff --git a/testing/lemonbar/APKBUILD b/testing/lemonbar/APKBUILD
new file mode 100644
index 0000000..ef3d27a
--- /dev/null
+++ b/testing/lemonbar/APKBUILD
_at_@ -0,0 +1,30 @@
+# Contributor: Camille Scholtz <onodera_at_openmailbox.org>
+# Maintainer: Camille Scholtz <onodera_at_openmailbox.org>
+pkgname=lemonbar
+pkgver=1.1
+pkgrel=0
+pkgdesc="A featherlight, lemon-scented, bar based on xcb"
+url="https://github.com/Lemonboy/bar"
+arch="all"
+license="MIT"
+depends=""
+depends_dev="libxcb-dev"
+makedepends="$depends_dev"
+install=""
+subpackages="$pkgname-doc"
+source="saveas-http://github.com/LemonBoy/bar/archive/v$pkgver.tar.gz/$pkgname-$pkgver.tar.gz"
+
+builddir="$srcdir"/bar-"$pkgver"
+build() {
+	cd "$builddir"
+	make || return 1
+}
+
+package() {
+	cd "$builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="5b98514c2a4711c2c90492fa2c051d26  lemonbar-1.1.tar.gz"
+sha256sums="567955575a09a7231cae7f2003e0fd66f4c86d7acbe1f53f407233730c8f2c9c 
  lemonbar-1.1.tar.gz"
+sha512sums="ece85adbeea1a44716be12bdd0c4e2d857474d6c66aebcb73d965a81a77a89aacafbd4e7981661fc5d54b2b1b673eee476749510c5bd992b66d61a8688a4982d 
  lemonbar-1.1.tar.gz"
-- 
2.8.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Apr 15 2016 - 17:05:09 GMT